Skip to content

Disconnect the Slack app (owners only)

POST
/api/v1/settings/slack/remove
curl --request POST \
--url http://127.0.0.1:8484/api/v1/settings/slack/remove

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
appUrl

Link that opens the app in Slack

string
bot

The bot’s name in the workspace

string
channel

Channel where reminders of shared subscriptions are also posted

string
configured
required
boolean
createUrl
required

Opens Slack’s create-app page with the manifest filled in

string
error

Why the app is not connected, when Slack says so

string
manifest
required

App manifest (YAML) to create the Slack app from

string
running
required

The socket to Slack is open

boolean
source

Env: set by EXHALE_SLACK_BOT_TOKEN and EXHALE_SLACK_APP_TOKEN and not editable in the web

string
Allowed values: env settings
team

Workspace name

string

Example

{
"$schema": "https://example.com/api/schemas/SlackStatus.json",
"source": "env"
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}